
Infrastructure - Story #3281

refactor "facade" methods from D1Object

2012-10-01 20:17 - Rob Nahf

Status: Closed Start date: 2012-09-23

Priority: Normal Due date: 2013-08-10

Assignee: Rob Nahf % Done: 100%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version: 2013.30-Block.4.3   

Story Points:    

Description

Related issues:

Related to Infrastructure - Story #2012: complete package implementation in j... Closed 2012-10-05 2013-01-19

History

#1 - 2012-10-02 19:05 - Rob Nahf

- Assignee set to Rob Nahf

- translation missing: en.field_remaining_hours set to 0.0

- Start date set to 2012-09-23

- Due date set to 2012-10-06

#2 - 2012-10-09 20:01 - Rob Nahf

- Category set to d1_libclient_java

- Target version changed from Sprint-2012.39-Block.5.4 to Sprint-2012.41-Block.6.1

- Due date changed from 2012-10-06 to 2012-10-27

#3 - 2012-10-24 17:51 - Rob Nahf

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.44-Block.6.2

- Due date changed from 2012-10-27 to 2012-11-10

#4 - 2012-12-12 19:00 - Rob Nahf

- Due date changed from 2012-11-10 to 2013-01-19

- Target version changed from Sprint-2012.44-Block.6.2 to 2013.2-Block.1.1

#5 - 2013-03-01 19:18 - Rob Nahf

- Due date changed from 2013-01-19 to 2013-03-16

- Target version changed from 2013.2-Block.1.1 to 2013.10-Block.2.1

- Status changed from New to In Progress

#6 - 2013-05-23 18:00 - Rob Nahf

- Due date changed from 2013-03-16 to 2013-05-25

- Target version changed from 2013.10-Block.2.1 to 2013.20-Block.3.2

#7 - 2013-05-31 16:25 - Rob Nahf

- Target version changed from 2013.20-Block.3.2 to 2013.22-Block.3.3

- Due date changed from 2013-05-25 to 2013-06-08
#8 - 2013-08-07 19:25 - Rob Nahf

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

the facade methods are those that communicate via D1Client to either create or update content.  Since we don't have a way of tracking state in

D1Object, these methods better belong in  D1Client instead.

The static download(Identifier pid) method is still maintained in D1Object.  Not sure if we can move it at this point, since it is already released, so

closing.

#9 - 2013-08-07 19:26 - Rob Nahf

- Due date changed from 2013-06-08 to 2013-08-10

- Target version changed from 2013.22-Block.3.3 to 2013.30-Block.4.3
